
CoCoALib - Bug #1590

CRASH: LinKerZZ

26 Apr 2021 15:06 - John Abbott

Status: Closed Start date: 26 Apr 2021

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Safety Estimated time: 1.49 hour

Target version: CoCoALib-0.99800 Spent time: 1.50 hour

Description

Florian reports:

LinKerZZ(mat(ZZ,[[1,1],[2,0],[0,3]])); --> CRASH!

 

Fn is undocumented, but should not crash.

History

#1 - 26 Apr 2021 15:07 - John Abbott

The correct input should have been the transpose of the matrix.

#2 - 26 Apr 2021 16:03 - John Abbott

- Status changed from New to Feedback

- Assignee set to John Abbott

- % Done changed from 0 to 90

- Estimated time set to 1.20 h

The problem was an incorrectly sized vector; the bug was "hidden" by a poor choice of variable name (was row, now changed to col_j).

Two quick tests passed.  Maybe I'd better add a couple of tests to the suite?

#3 - 16 Sep 2021 12:15 - Anna Maria Bigatti

works ok for me.

#4 - 16 Sep 2021 12:27 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time changed from 1.20 h to 1.49 h

There seems to be documentation now.

I have just added a new test test-MatrixOps1.C which tests the input given in the description.

Closing.
